cryptmgrkeys.h File Reference
`#include <gwenhywfar/cryptmgr.h>`
`#include <gwenhywfar/cryptkey.h>`

Go to the source code of this file.

## Functions

GWENHYWFAR_API GWEN_CRYPTMGR * | GWEN_CryptMgrKeys_new (const char *localName, GWEN_CRYPT_KEY *localKey, const char *peerName, GWEN_CRYPT_KEY *peerKey, int ownKeys)
GWENHYWFAR_API void | GWEN_CryptMgrKeys_SetPeerKey (GWEN_CRYPTMGR *mgr, GWEN_CRYPT_KEY *peerKey, int ownKey)

## Function Documentation

## GWEN_CryptMgrKeys_new()

GWENHYWFAR_API GWEN_CRYPTMGR * GWEN_CryptMgrKeys_new | ( | const char * | localName,
|  | GWEN_CRYPT_KEY * | localKey,
|  | const char * | peerName,
|  | GWEN_CRYPT_KEY * | peerKey,
|  | int | ownKeys )

References GWENHYWFAR_API.

## GWEN_CryptMgrKeys_SetPeerKey()

GWENHYWFAR_API void GWEN_CryptMgrKeys_SetPeerKey | ( | GWEN_CRYPTMGR * | mgr,
|  | GWEN_CRYPT_KEY * | peerKey,
|  | int | ownKey )